LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Debian (http://www.linuxquestions.org/questions/debian-26/)
-   -   Can't run youtube videos (http://www.linuxquestions.org/questions/debian-26/cant-run-youtube-videos-689258/)

sunils1973 12-09-2008 04:27 AM

Can't run youtube videos
 
Which the program to be installed to run youtube

( it retuires latest Flash player like adobe but when i downloaded and
tried to install, a lot of problems are there)
Hence which program should I use to install the pluggins

like apt-get install programmname

thanks in advance

bitpicker 12-09-2008 05:14 AM

You need to tell us which distribution you are using, so that we know exactly what the name of the package is. You do not download the Flash player from any third party, just use the repository. For instance, if you are using Ubuntu what you need to install is the Ubuntu restricted extras package via Add / Remove.

Robin

sunils1973 12-09-2008 08:06 AM

debian etch

I have installed packages like blender, gimp, qcad etc by

apt-get

but I don't know which name for the flash player

repo 12-09-2008 08:27 AM

add the following to your source-list
##### sunjava
deb http://ftp.us.debian.org/debian/ etch main contrib non-free

apt-ge update
apt-get install sun-java5-jre sun-java5-fonts sun-java5-plugin
update-java-alternatives --set java-1.5.0-sun
ln -s /usr/lib/jvm/java-1.5.0-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so /usr/lib/firefox/plugins/libjavaplugin_oji.so
ln -s /usr/lib/jvm/java-1.5.0-sun/jre/plugin/i386/ns7/libjavaplugin_oji.so /usr/lib/iceweasel/plugins/libjavaplugin_oji.so

farslayer 12-09-2008 09:28 AM

If you want to use aptitude to install flash you can add the backports repository to etch..

http://packages.debian.org/etch-back...nfree/download

Add the backports repository to your sources.list.

aptitude update
aptitude inststall flashplugin-nonfree

sunils1973 12-09-2008 09:36 AM

E: Couldn't find package sun-java5-fonts
sun:/home/sunil# apt-get install sun-java5-jre
Reading package lists... Done
Building dependency tree... Done
Package sun-java5-jre is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package sun-java5-jre has no installation candidate


What next?

repo 12-09-2008 09:40 AM

did you run
apt-get update ?

the trooper 12-09-2008 09:46 AM

To use the backports repository you will also need to install the keyring.
You can do this with:

Code:

aptitude install debian-backports-keyring
Or:

Code:

wget -O - http://backports.org/debian/archive.key | apt-key add -
Obviously this should be done after modifying your sources list.
If you don't install the keyring apt or aptitude will give you an error message telling you it is missing, and cannot verify the relevant packages.
Here's a link to their website:

http://www.backports.org/dokuwiki/do...d=instructions

Regards.
The trooper.

Edit:
Also as Farslayer pointed out, to watch flash video,you need the flash plugin.
The java plugin unsurprisingly runs java applets in your browser,not flash.

farslayer 12-09-2008 06:39 PM

Could you please post your /etc/apt/sources.list. I think there may be a problem in it, that is causing your dependency issues.

sunils1973 12-10-2008 01:28 AM

sun:/home/sunil# cat /etc/apt/sources.list
#
# deb cdrom:[Debian GNU/Linux 4.0 r1 _Etch_ - Official i386 CD Binary-1 20070819-11:52]/ etch contrib main

#deb cdrom:[Debian GNU/Linux 4.0 r1 _Etch_ - Official i386 CD Binary-1 20070819-11:52]/ etch contrib main

# Line commented out by installer because it failed to verify:
#deb http://security.debian.org/ etch/updates main contrib
# Line commented out by installer because it failed to verify:
#deb-src http://security.debian.org/ etch/updates main contrib
#deb http://security.debian.org/ etch/updates main contrib
deb http://ftp.us.debian.org/debian etch main contrib
sun:/home/sunil#

sunils1973 12-10-2008 01:30 AM

Earlier I have added the backports to my source.list but when it displayed some errors
I removed it.

Pls let me know how to add this

tommcd 12-10-2008 06:06 AM

Quote:

Originally Posted by sunils1973 (Post 3368871)
Which the program to be installed to run youtube

( it retuires latest Flash player like adobe but when i downloaded and
tried to install, a lot of problems are there)

Just download the Adobe flash 10 .tar.gz file to your home directory from here:
http://get.adobe.com/flashplayer/
Click on the "select version to dowload" box to download the .tar.gz file.
Untar it:
Code:

tar -xvzf install_flash_player_10_linux.tar.gz
This will create a folder called install_flash_player_10_linux. Copy the libflashplayer.so in that folder to /usr/lib/mozilla/plugins
Code:

cp ~/install_flash_player_10_linux/libflashplayer.so /usr/lib/mozilla/plugins/
Then restart Iceweasel or Epiphany. Go to youtube.com and enjoy!


All times are GMT -5. The time now is 02:25 AM.